Skip to main content
`Ctrl`+`K`

# MatCoarsenMISKGetDistance

gets the distance to be used by MISK

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenMISKGetDistance(MatCoarsen crs, PetscInt *k)

Collective

## Input Parameter

- crs - the coarsen

## Output Parameter

- k - the distance

## See Also

`MATCOARSENMISK`, `MatCoarsen`, `MatCoarsenSetFromOptions()`, `MatCoarsenSetType()`, `MatCoarsenRegister()`, `MatCoarsenCreate()`, `MatCoarsenDestroy()`, `MatCoarsenSetAdjacency()`, `MatCoarsenGetData()`

## Level

advanced

## Location

src/mat/graphops/coarsen/impls/misk/misk.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages